Creates a WishlistItem resource.
curl --request POST \
--url https://www.fmdb.net/api/users/{userId}/wishlist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '{}'import requests
url = "https://www.fmdb.net/api/users/{userId}/wishlist"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({})
};
fetch('https://www.fmdb.net/api/users/{userId}/wishlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"_id": "33333333-3333-3333-8333-333333333333",
"notes": "Looking for original pressing",
"release": {
"id": "2792425e-5267-11e7-ae76-fa163ef5db36",
"title": "Jurassic Park",
"slug": "jurassic-park"
},
"created_at": "2024-06-15T10:00:00+00:00",
"updated_at": "2024-06-15T14:30:00+00:00"
}
}
}{
"errors": [
{
"id": "<string>",
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>",
"meta": {},
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
}
}
]
}{
"errors": [
{
"id": "<string>",
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>",
"meta": {},
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
}
}
]
}{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"status": 422,
"detail": "<string>",
"_type": "<string>",
"title": "<string>",
"instance": "<string>"
}
}
}WishlistItem
Creates a WishlistItem resource.
Creates a WishlistItem resource.
POST
/
api
/
users
/
{userId}
/
wishlist
Creates a WishlistItem resource.
⌘I
